quite often now when I go on the homepage I get a 'Stack Overflow' popup and I see an instance of AcroRdr32 start up. Is there something on the homepage to warn people that are still vulnerable or is this something moe sinister?


I would update Acrobat but i'm at work and don't have Admin access to the machine.